
From: Ingo Molnar <mingo@elte.hu>

It makes hot-balancing happen in the 'busy tick' case as well, which should
spread out processes more agressively.  This could affect SMP scalability
so it should be tested in isolation first.



 25-akpm/kernel/sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sched.c~sched-hot-balancing-fix kernel/sched.c
--- 25/kernel/sched.c~sched-hot-balancing-fix	Tue Jul  8 13:40:05 2003
+++ 25-akpm/kernel/sched.c	Tue Jul  8 13:40:05 2003
@@ -1047,7 +1047,7 @@ skip_queue:
 	 */
 
 #define CAN_MIGRATE_TASK(p,rq,this_cpu)					\
-	((jiffies - (p)->last_run > cache_decay_ticks) &&	\
+	((!idle || (jiffies - (p)->last_run > cache_decay_ticks)) &&	\
 		!task_running(rq, p) &&					\
 			cpu_isset(this_cpu, (p)->cpus_allowed))
 

_
